clear all;
more off;

%Currently solving
% min (1-x)^2 + 100*(y-x^2)^2  (Rosenbrock function)
% subject to x^2+y^2=1

%Lagrange multiplier(s) parameters
lambda=0; %You must use a multiplier per constraint (in this case, just one.

%Penalty parameters
mu=1; 
mum=1.1;
divFlag=0;
citer=10;
pmaxiter=100;

%Initial guess
xinit=[0.5 0.3];
min=xinit;

piter=0;
while piter < pmaxiter 
 %Reset dogleg parameters
 delta=1;
 
 disp(['Using ' num2str(min(1)) ' ' num2str(min(2)) ' as initial point']);

 [fmin min] = trustregion(@(x) Rosenbrock(x,lambda,mu),min);

  disp(['==================================================================']);
  lambda
  mu
  fmin
  min
  
  lambda=lambda-mu*c1(min); %Updates Lagrange multiplier
  mu = mum*mu; %Increases penalty parameter  
  piter = piter +1;
end
