%Objective function

function [f, g, H] = Rosenbrock(x,lambda,mu)
    [of og oH] = rosenbrock(x);
    [c1f c1g c1H] = c1(x);
    f = of - lambda*(c1f) + (mu/2)*(c1f)^2; 
    g = og - lambda*c1g + (mu*c1f)*(c1g);
    H = oH - lambda*c1H + mu*(c1g'*c1g + c1f*c1H);
end

 
